import { HcApi } from '../../request/index'

export default {
    //资金预算期
    async periodPage(form) {
        return HcApi({
            url: '/api/blade-meter/formPeriod/periodPage',
            method: 'get',
            params: form,
        })
    },
    //修改
    async periodEdit(form) {
        return HcApi({
            url: '/api/blade-meter/formPeriod/edit',
            method: 'post',
            data: form,
        })
    },
    //获取资金预算计划
    async getFormPlan(form) {
        return HcApi({
            url: '/api/blade-meter/formPeriod/getFormPlan',
            method: 'get',
            params: form,
        })
    },
    //编辑资金预算计划
    async updateFormPlan(form) {
        return HcApi({
            url: '/api/blade-meter/formPeriod/updateFormPlan',
            method: 'post',
            data: form,
        })
    },
    //获取已经计量月份
    async getMeterMonth(form) {
        return HcApi({
            url: '/api/blade-meter/formPeriod/getMeterMonth',
            method: 'get',
            params: form,
        })
    },
    //删除资金预算期
    async deleteById(formPeriodId) {
        return HcApi({
            url: '/api/blade-meter/formPeriod/deleteById',
            method: 'get',
            params: { formPeriodId },
        })
    },
}
